## com.bbn.openmap.tools.roads
Class Route

    java.lang.Object
      com.bbn.openmap.tools.roads.Route

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public class Route
extends java.lang.Object
implements java.lang.Cloneable, java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`Route(java.lang.String name, Road[] roads, boolean startWithFirstIntersection)`

Method Summary
`java.lang.Object` `clone()`
`static Route` `getBestRoute(Intersection from, Intersection to, float bestConvoySpeed, float worstConvoySpeed)`
`int` `getBlockedRoadCount()`
`Intersection` `getDestinationIntersection()`
`java.lang.String` `getName()`
`Intersection` `getOriginIntersection()`
`Road[]` `getRoads()`
`long` `getTravelTime()`
`LatLonPoint` `location(long time)`
`void` `setName(java.lang.String newName)`
`void` `unblockBlockedRoads()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Route

    public Route(java.lang.String name,
                 Road[] roads,
                 boolean startWithFirstIntersection)

Method Detail

### getBestRoute

    public static Route getBestRoute(Intersection from,
                                     Intersection to,
                                     float bestConvoySpeed,
                                     float worstConvoySpeed)

### clone

    public java.lang.Object clone()

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String newName)

### getRoads

    public Road[] getRoads()

### getBlockedRoadCount

    public int getBlockedRoadCount()

### unblockBlockedRoads

    public void unblockBlockedRoads()

### getOriginIntersection

    public Intersection getOriginIntersection()

### getDestinationIntersection

    public Intersection getDestinationIntersection()

### getTravelTime

    public long getTravelTime()

### location

    public LatLonPoint location(long time)

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details